GET /v2/trade/perps/account: Account and Balances
curl --request GET \
--url https://partner-api.bravadotrade.com/v2/trade/perps/accountimport requests
url = "https://partner-api.bravadotrade.com/v2/trade/perps/account"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://partner-api.bravadotrade.com/v2/trade/perps/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://partner-api.bravadotrade.com/v2/trade/perps/account",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://partner-api.bravadotrade.com/v2/trade/perps/account"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://partner-api.bravadotrade.com/v2/trade/perps/account")
.asString();require 'uri'
require 'net/http'
url = URI("https://partner-api.bravadotrade.com/v2/trade/perps/account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"withdrawable": "<string>"
}Perps
GET /v2/trade/perps/account: Account and Balances
The user’s Polymarket Perps margin summary, withdrawable amount and liquidation state, and their venue balances. Scope perps.read.
GET
/
v2
/
trade
/
perps
/
account
GET /v2/trade/perps/account: Account and Balances
curl --request GET \
--url https://partner-api.bravadotrade.com/v2/trade/perps/accountimport requests
url = "https://partner-api.bravadotrade.com/v2/trade/perps/account"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://partner-api.bravadotrade.com/v2/trade/perps/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://partner-api.bravadotrade.com/v2/trade/perps/account",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://partner-api.bravadotrade.com/v2/trade/perps/account"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://partner-api.bravadotrade.com/v2/trade/perps/account")
.asString();require 'uri'
require 'net/http'
url = URI("https://partner-api.bravadotrade.com/v2/trade/perps/account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"withdrawable": "<string>"
}Sign each request with a fresh HMAC signature. The cURL and HTTP header values below are placeholders, not reusable credentials. For runnable signing code, use request signing examples.
perps.read.
The perps balance is separate from the deposit wallet: pUSD deposited to Perps cannot back prediction-market orders until you withdraw it.
Account
GET https://partner-api.bravadotrade.com/v2/trade/perps/account
Response
The margin summary, the liquidation state, and:string
pUSD that can be withdrawn now.
"max" on POST /v2/trade/perps/withdrawals withdraws this amount; an amount above it answers 422 INSUFFICIENT_BALANCE.Example
curl https://partner-api.bravadotrade.com/v2/trade/perps/account \
-H "X-BRAVADO-API-KEY: $BRAVADO_API_KEY" \
-H "X-BRAVADO-TIMESTAMP: <unix-ms>" \
-H "X-BRAVADO-SIGNATURE: <signature-for-this-request>"
Balances
GET https://partner-api.bravadotrade.com/v2/trade/perps/balances
Response
The user’s balances at the venue.Example
curl https://partner-api.bravadotrade.com/v2/trade/perps/balances \
-H "X-BRAVADO-API-KEY: $BRAVADO_API_KEY" \
-H "X-BRAVADO-TIMESTAMP: <unix-ms>" \
-H "X-BRAVADO-SIGNATURE: <signature-for-this-request>"
Related
GET /v2/trade/perps/positionsfor open positions.GET /v2/trade/perps/readinessfor whether the user can trade.